org.apache.ignite.internal.commandline

## Class CommandHandler

- java.lang.Object
- - org.apache.ignite.internal.commandline.CommandHandler

    public class CommandHandler
    extends Object

Class that execute several commands passed via command line.

### Field Summary

Fields
`protected static String` `CMD_PING_INTERVAL`
`protected static String` `CMD_PING_TIMEOUT`
`static String` `CMD_TX_ORDER_START_TIME`
`static String` `CONFIRM_MSG`
`static int` `ERR_AUTHENTICATION_FAILED`
`static int` `EXIT_CODE_CONNECTION_FAILED`
`static int` `EXIT_CODE_INVALID_ARGUMENTS`
`static int` `EXIT_CODE_OK`
`static int` `EXIT_CODE_UNEXPECTED_ERROR`

### Constructor Summary

Constructors
Constructor and Description
`CommandHandler()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `execute(List<String> rawArgs)` Parse and execute command.
`<T> T` `getLastOperationResult()` Used for tests.
`static void` `main(String[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CMD_PING_INTERVAL

    protected static final String CMD_PING_INTERVAL

See Also:
  Constant Field Values

#### CMD_PING_TIMEOUT

    protected static final String CMD_PING_TIMEOUT

See Also:
  Constant Field Values

#### CONFIRM_MSG

    public static final String CONFIRM_MSG

See Also:
  Constant Field Values

#### EXIT_CODE_OK

    public static final int EXIT_CODE_OK

See Also:
  Constant Field Values

#### EXIT_CODE_INVALID_ARGUMENTS

    public static final int EXIT_CODE_INVALID_ARGUMENTS

See Also:
  Constant Field Values

#### EXIT_CODE_CONNECTION_FAILED

    public static final int EXIT_CODE_CONNECTION_FAILED

See Also:
  Constant Field Values

#### ERR_AUTHENTICATION_FAILED

    public static final int ERR_AUTHENTICATION_FAILED

See Also:
  Constant Field Values

#### EXIT_CODE_UNEXPECTED_ERROR

    public static final int EXIT_CODE_UNEXPECTED_ERROR

See Also:
  Constant Field Values

#### CMD_TX_ORDER_START_TIME

    public static final String CMD_TX_ORDER_START_TIME

See Also:
  Constant Field Values

### Constructor Detail

#### CommandHandler

    public CommandHandler()

### Method Detail

#### execute

    public int execute(List<String> rawArgs)

Parse and execute command.

Parameters:
  `rawArgs` - Arguments to parse and execute.
Returns:
  Exit code.

#### main

    public static void main(String[] args)

Parameters:
  `args` - Arguments to parse and apply.

#### getLastOperationResult

    public <T> T getLastOperationResult()

Used for tests.

Returns:
  Last operation result;

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018